﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewMicroApplicationsListDb(engine *xorm.Engine) dao.MicroApplicationsListDao {
	return &MicroApplicationsListDb{Db: engine}
}

type MicroApplicationsListDb struct {
	Db *xorm.Engine
}

func (m2 MicroApplicationsListDb) GetMicroApplicationsLis(appKey string) (m *models.MicroApplicationsList, err error) {
	m = new(models.MicroApplicationsList)
	has, err := m2.Db.Where("app_key =?", appKey).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
