package models

type SuperCloudIssuanceUserRobotBindFollowUser struct {
	Id                    int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	BindId                int    `json:"bind_id" xorm:"not null default 0 comment('绑定id') INT(11)"`
	MonitorHostWxId       string `json:"monitor_host_wx_id" xorm:"not null default '' comment('监听主持人微信id') VARCHAR(255)"`
	MonitorHostWxNickname string `json:"monitor_host_wx_nickname" xorm:"not null default '' comment('监听主持人微信昵称') VARCHAR(255)"`
	MonitorHostWxHeadUrl  string `json:"monitor_host_wx_head_url" xorm:"not null default '' comment('监听主持人微信头像') VARCHAR(255)"`
	CreateAt              string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt              string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
